<?php

namespace App\Domains\Budget\Controllers;

use App\Providers\InertiaProvider;
use App\Scopes\CommonController;
use Illuminate\Http\Request;
use Inertia\Response;

class MainController extends CommonController
{
    public function __invoke(int $costUnitId, Request $request) : Response
    {
        $inertiaProvider = new InertiaProvider('Budget/List', [
            'cost_unit_id' => $costUnitId
        ]);
        return $inertiaProvider->render();
    }
}
